Modifies a user
curl --request PUT \
--url https://api.hubapi.com/settings/users/2026-03/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03/{userId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Users
Update a user
Modifies a user identified by userId. userId refers to the user’s ID by default, or optionally email as specified by the IdProperty query param.
PUT
/
settings
/
users
/
2026-03
/
{userId}
Modifies a user
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Available options:
EMAIL, USER_ID Body
application/json
Response
successful operation
The user's email.
The user's unique ID.
A list of role IDs assigned to the user.
Whether the user has super admin privileges.
The user's first name.
The user's last name.
The user's primary team
The user's role.
The user's additional teams.
Whether a welcome email was sent to the user. This value will only be populated in response to a provisioning request. Subsequent queries will be false.
Last modified on March 31, 2026
Was this page helpful?
⌘I